%global modulename request

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-request
Version:        2.88.0
Release:        1%{?dist}
Summary:        Simplified HTTP request client.

License:        ASL 2.0
URL:            https://github.com/request/request#readme
Source0:        https://registry.npmjs.org/request/-/request-2.88.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(aws-sign2) >= 0.7.0 with npmlib(aws-sign2) < 0.8.0))
BuildRequires:  ((npmlib(aws4) >= 1.8.0 with npmlib(aws4) < 2.0.0))
BuildRequires:  ((npmlib(caseless) >= 0.12.0 with npmlib(caseless) < 0.13.0))
BuildRequires:  ((npmlib(combined-stream) >= 1.0.6 with npmlib(combined-stream) < 1.1.0))
BuildRequires:  ((npmlib(extend) >= 3.0.2 with npmlib(extend) < 3.1.0))
BuildRequires:  ((npmlib(forever-agent) >= 0.6.1 with npmlib(forever-agent) < 0.7.0))
BuildRequires:  ((npmlib(form-data) >= 2.3.2 with npmlib(form-data) < 2.4.0))
BuildRequires:  ((npmlib(har-validator) >= 5.1.0 with npmlib(har-validator) < 5.2.0))
BuildRequires:  ((npmlib(http-signature) >= 1.2.0 with npmlib(http-signature) < 1.3.0))
BuildRequires:  ((npmlib(is-typedarray) >= 1.0.0 with npmlib(is-typedarray) < 1.1.0))
BuildRequires:  ((npmlib(isstream) >= 0.1.2 with npmlib(isstream) < 0.2.0))
BuildRequires:  ((npmlib(json-stringify-safe) >= 5.0.1 with npmlib(json-stringify-safe) < 5.1.0))
BuildRequires:  ((npmlib(mime-types) >= 2.1.19 with npmlib(mime-types) < 2.2.0))
BuildRequires:  ((npmlib(oauth-sign) >= 0.9.0 with npmlib(oauth-sign) < 0.10.0))
BuildRequires:  ((npmlib(performance-now) >= 2.1.0 with npmlib(performance-now) < 3.0.0))
BuildRequires:  ((npmlib(qs) >= 6.5.2 with npmlib(qs) < 6.6.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.2 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(tough-cookie) >= 2.4.3 with npmlib(tough-cookie) < 2.5.0))
BuildRequires:  ((npmlib(tunnel-agent) >= 0.6.0 with npmlib(tunnel-agent) < 0.7.0))
BuildRequires:  ((npmlib(uuid) >= 3.3.2 with npmlib(uuid) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Simplified HTTP request client.

%package 2.88.0
Summary:        Simplified HTTP request client.


%description 2.88.0
Simplified HTTP request client.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr request.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.88.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.88.0-1
- Package automatically generated by npm2srpm
